#include <iostream>
#include <iomanip>

using namespace std;
void swap(double *a, double *b)
{
    long double t=*a;
    *a=*b;
    *b=t;
}
void selectionSort(double arr[], double ar[],int n)
{
    int i, j, min;
    for (i = 0; i < n-1; i++)
    {
        min = i;
        for (j=i+1; j<n; j++)
        if (ar[j] > ar[min])
            min= j;
        swap(&arr[min], &arr[i]);
        swap(&ar[min], &ar[i]);
    }
}
int main ()
{
	int n;
	cin>>n;
    double a[n];
    double p[n];
    double porez;
    double max=0;
    double sto=100.00;
    for(int i=0;i<n;i++)
    {
        cin>>a[i]>>p[i];
    }
    selectionSort(a, p, n);
    for(int i=0;i<n;i++)
    {
        double racun=0;
        for(int j=0;j<=i;j++)
        {
            racun=racun+a[j];
        }
        racun/=sto;
        racun*=p[i];

        if(racun>=max)
        {
            max=racun;
        }
    }
    cout<<to_string(max)<<endl;
    return 0;
}